<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <script>
        function alterarTexto(){
            var p = document.getElementById("paragrafo");
            p.innerHTML = "Um outro texto no parágrafo";
        }  
        
        function incluirAtributo(){            
            var vetorDeH1 = document.getElementsByTagName("h1");
            var h1 = vetorDeH1[0];
            h1.setAttribute("id","titulo");
        }  
        
        function alterarCor(){
            incluirAtributo();
            var h1 = document.getElementById("titulo");            
            h1.style.color = "red";
            
            var itens = document.getElementsByTagName("li");
            for (var i = 0; i < itens.length; i++){
                var li = itens[i];
                li.style.color = "green";
            }            
        }      
        
        function incluirItem(){
            var itemNovo = document.createElement("li");
            itemNovo.innerHTML = "Item 4";
            
            var itens = document.getElementsByTagName("li");
            var item3 = itens[2];
            
            item3.parentNode.appendChild(itemNovo);            
        }
        
        function incluirAntes(){
            var itemNovo = document.createElement("li");
            itemNovo.innerHTML = "Item 0";
            itemNovo.style.color = "blue";
            
            var itens = document.getElementsByTagName("li");
            var item1 = itens[0];
            
            item1.parentNode.insertBefore(itemNovo,item1); 
        }
        
        function removerItem(){
            var itens = document.getElementsByTagName("li");
            var item2 = itens[1];
            
            var elementoPai = item2.parentNode;
            elementoPai.removeChild(item2);            
        }
        
        function removerParagrafo(p){
            p.remove();   
        }
        
    </script>    
    
</head>
<body>
    <h1>Manipulação da DOM</h1>
    <p id="paragrafo" onmouseover="removerParagrafo(this)">Um parágrafo de texto</p>
    <ul>
        <li>Item 1</li>
        <li>Item 2</li>
        <li>Item 3</li>
    </ul>
    <button onclick="alterarTexto()">Alterar texto</button><br/>
    <button onclick="incluirAtributo()">Incluir atributo</button><br/>
    <button onclick="alterarCor()">Alterar cor</button><br/>
    <button onclick="incluirItem()">Incluir item</button><br/>
    <button onclick="incluirAntes()">Incluir antes</button><br/>
    <button onclick="removerItem()">Remover item</button><br/>
</body>
</html>

<script>
//Imprime todo o body.
//console.log(document.body);   
//Imprime apenas o conteúdo do body.
//console.log(document.body.innerHTML);
</script>    
    